--- a/arch/mips/bcm63xx/boards/board_bcm963xx.c
+++ b/arch/mips/bcm63xx/boards/board_bcm963xx.c
@@ -671,6 +671,40 @@ static struct board_info __initdata boar
 		.num_board_fixups	= ARRAY_SIZE(spw500v_fixups),
 	},
 };
+
+static struct board_info __initdata board_96348sv = {
+	.name				= "MAGIC",
+	.expected_cpu_id		= 0x6348,
+
+	.has_uart0			= 1,
+	.has_enet0			= 1,
+	.has_enet1			= 1,
+	.has_pci			= 1,
+
+	.enet0 = {
+		.has_phy		= 1,
+		.use_internal_phy	= 1,
+	},
+	.enet1 = {
+		/* it has BP_ENET_EXTERNAL_PHY */
+		.has_phy		= 1,
+		.phy_id			= 0,
+		.force_speed_100	= 1,
+		.force_duplex_full	= 1,
+	},
+
+	.has_ohci0			= 1,
+	.has_pccard			= 1,
+	.has_ehci0			= 1,
+
+	.has_dsp			= 1,
+	.dsp = {
+		.gpio_rst		= 25,
+		.gpio_int		= 34,
+		.cs			= 2,
+		.ext_irq		= 2,
+	},
+};
 #endif /* CONFIG_BCM63XX_CPU_6348 */
 
 /*
@@ -958,6 +992,7 @@ static const struct board_info __initcon
 	&board_rta1025w_16,
 	&board_96348_D4PW,
 	&board_spw500v,
+	&board_96348sv,
 #endif
 
 #ifdef CONFIG_BCM63XX_CPU_6358
@@ -1002,6 +1037,7 @@ static struct of_device_id const bcm963x
 	{ .compatible = "t-com,spw500v", .data = &board_spw500v, },
 	{ .compatible = "tecom,gw6000", .data = &board_gw6000, },
 	{ .compatible = "tecom,gw6200", .data = &board_gw6200, },
+	{ .compatible = "telsey,magic", .data = &board_96348sv, },
 	{ .compatible = "tp-link,td-w8900gb", .data = &board_96348gw_11, },
 	{ .compatible = "usr,9108", .data = &board_96348gw_a, },
 #endif
